﻿using System.Windows.Controls;
using Telerik.Windows.Documents.Model;
using System.Linq;
using System.Collections.Generic;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public class SomeType
        {
            public int? Count { get; set; }
        }

        public MainPage()
        {
            InitializeComponent();
            this.radRichTextBox.Document.MailMergeDataSource.ItemsSource = new List<SomeType>() { new SomeType() { Count = 0 }, new SomeType() { Count = 1 } };
        }

        private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
        {
            this.radRichTextBox.InsertField(new CustomIfMergeField()
            {
                PropertyPath = "Count",
                TextBeforeIfNotEmpty = "Text Before",
                TextAfterIfNotEmpty = "Text After"
            });
        }
    }
}
